OSSA-2013-021: Cinder LVM volume driver does not support secure deletion

OSSA-2013-021: Cinder LVM volume driver does not support secure deletion

Date:August 07, 2013
CVE:CVE-2013-4183

Affects

  • Cinder: 2013.1 (Grizzly) and later

Description

Rongze Zhu from UnitedStack reported a vulnerability in the Cinder LVM volume driver. The contents of LVM snapshots may not be cleared upon deletion even when secure deletes are configured, resulting in potential exposure of latent data to subsequent servers for other tenants. Only setups using LVMVolumeDriver are affected.

Credits

  • Rongze Zhu from UnitedStack (CVE-2013-4183)
Creative Commons Attribution 3.0 License

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.